Favicon

You are here: Home > API Reference > UEM > Mdm Users > Remove MDM user account

Remove MDM user account

Required Permission: mdm.global.mdmUser.remove

Remove device management user account permanently from organization if no active devices or pending enrollment tokens are associated.

DELETE
/v1/organizations/:organizationId/mdm/users/:mdmUserId
Copy to clipboard

Remove MDM user account

Required Permission: mdm.global.mdmUser.remove

Remove device management user account permanently from organization if no active devices or pending enrollment tokens are associated.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Organization identifier or URL-friendly slug for scoping user operations within specific workspace and access control boundaries.
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
mdmUserId string
required
Unique identifier for device management user used in URL parameters to specify which user account to operate on.
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
delete any required
{
    "status": true,
    "data": {
        "delete": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5055
message string optional
MdmUser Can not be deleted because has pending emmEnrollmentTokens
{
    "status": false,
    "error": {
        "code": 5054,
        "message": "MdmUser Can not be deleted because has no delete emmDevices"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}